Bug 829610 - RFE: Migrate/convert this service to systemd
RFE: Migrate/convert this service to systemd
Status: CLOSED DUPLICATE of bug 948404
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 01:52 EDT by Wayne Pollock
Modified: 2013-06-20 13:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-20 13:07:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Pollock 2012-06-07 01:52:47 EDT
Description of problem:
Some unit files are (apparently) managed by dbus and can't be controlled by systemctl. For example, my Fedora 16 system runs "modem-manager" and I don't have a modem. I can't figure out how to disable that service, which is "org.freedesktop.ModemManager.service" and found, not in /lib/systemd/services, but in /usr/share/dbus-1/system-services/.  There are many other services that can't be managed in any way (apparently).

(I was asked to file this bug by Lennart Poettering.)

Version-Release number of selected component (if applicable):
NA

How reproducible:
Always

Steps to Reproduce:
1. Do nothing, the service is running.
2.
3.
  
Actual results:
NA

Expected results:


Additional info:

I'm filing this against F16, but I strongly suspect it is also a problem in F17.  If that can be confirmed, please change/add the version.
Comment 1 Dan Williams 2012-07-20 19:43:24 EDT
I'm not sure there's any problem with this, that's how D-Bus service activation is supposed to work.  If you don't want the service, you can uninstall it, and it won't start anymore.  It doesn't really need to be managed by systemd at all at this point.  If something explicitly depends on ModemManager being installed, that's a bug on that thing since ModemManager only provides a dbus service and thus anything that wants it should already be able to handle it not being there.
Comment 2 Lennart Poettering 2012-08-10 08:38:39 EDT
Dan, please provide a systemd unit file for ModemManager, this has benefits beyond the ability to enable/disable it. For example, we can properly collect status information about it, and attach service information to the log messages it generates. That way "systemctl status ModemManager.service" could show logs and service state like for any other service, and it wouldn't be mangled into D-Bus' output.

And there's a lot more, for example it would be in its own cgroup, thus be fair scheduled against other services, "ps -eo cgroups,pid,args" would properly show the cgroup for it, ...

I'll look if I find the time to prep a patch for you.
Comment 3 Fedora End Of Life 2013-01-16 17:34:46 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 20:05:55 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Dan Williams 2013-03-08 10:30:10 EST
(In reply to comment #2)
> Dan, please provide a systemd unit file for ModemManager, this has benefits
> beyond the ability to enable/disable it. For example, we can properly
> collect status information about it, and attach service information to the
> log messages it generates. That way "systemctl status ModemManager.service"
> could show logs and service state like for any other service, and it
> wouldn't be mangled into D-Bus' output.
> 
> And there's a lot more, for example it would be in its own cgroup, thus be
> fair scheduled against other services, "ps -eo cgroups,pid,args" would
> properly show the cgroup for it, ...
> 
> I'll look if I find the time to prep a patch for you.

I'll take a patch if you have the time.  A better option would actually be to only run ModemManager when there is a modem on the system; for example, spawn it whenever certain devices are found by udev and if it finds a modem, it sticks around, otherwise it quits.  But that's for the future.
Comment 6 Lennart Poettering 2013-06-20 13:07:00 EDT

*** This bug has been marked as a duplicate of bug 948404 ***

Note You need to log in before you can comment on or make changes to this bug.